Subject: missing script function

From: [email-masked] (Bob Keller)
Date: Mon, 24 Jan 2005 22:44:45 -0800 (PST)

As one team pointed out yesterday, the specifiation of the Walris script is
missing an important item: how to launch a shape.  Accordingly, I'd like to add
the following to the list of functions 0-14:

15. launch shape, which is followed by the number of the shape to be 
    launched and the orientation (0 as given, 1 rotated 90% clockwise, 
    2 rotated 180%, 3 rotated 270% clockwise)

So unlike the other functions, this one is followed by two arguments.

Assume that the shapes are numbered in the order in which they are
read from shapes.txt, starting with shape number 0.

Thanks.

Bob

-- 
Robert M. Keller, Csilla and Walt Foley Professor of Computer Science
Harvey Mudd College   1250 Dartmouth Avenue   Claremont, CA 91711 USA
[email-masked]     www.cs.hmc.edu/~keller    909-621-8483 or -8225